Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Interface TagPoolManager

All Known Implementing Classes:
  TagPoolManagerImpl

public interface TagPoolManager

This interface provides methods for tag handler pooling. It specifies management of pools of tag handlers. Normally, one TagPoolManager derivative is stored per application context. This allows tag pooling on a per web application scope.
TagPoolManagers manage TagHandlerPools. TagHandlerPools are uniquely named per reuse scope. The current JSP spec allows for tag reuse if all of these conditions are met:

- tag scope doesnt conflict
- tags are of the same type
- tags use the same set of attributes

Author:
  Casey Lucas
See Also:
  `TagPoolManagerInterceptor`

Field Summary
`static java.lang.String` | `CONTEXT_ATTRIBUTE_NAME` This constant is the name of the TagPoolManager attribute stored into each ServletContext (if tag pooling is enabled.)

Method Summary
`TagHandlerPool` | `getPool(java.lang.String poolName, java.lang.Class handlerClass)` Obtain a named pool.
`void` | `shutdown()` This method allows the pool manager to shutdown all of its pools.

Field Detail

### CONTEXT_ATTRIBUTE_NAME

    public static final java.lang.String CONTEXT_ATTRIBUTE_NAME

  This constant is the name of the TagPoolManager attribute stored into each ServletContext (if tag pooling is enabled.)

  See Also:
    Constant Field Values

Method Detail

### getPool

    public TagHandlerPool getPool(java.lang.String poolName,
                                  java.lang.Class handlerClass)

  Obtain a named pool. Each uniquely named pool holds tag handlers.

  Parameters:
    `poolName` - unique name of the tag pool
    `handlerClass` - the type of tag handler objects stored by the pool
  Returns:
    the pool that should be used for this poolName and handlerClass

### shutdown

    public void shutdown()

  This method allows the pool manager to shutdown all of its pools. Normally, this involves calling relase for all its tag handlers.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.